Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution:    

Description

In current versions of Redmine, users can not filtering versions on Project -> Settings -> Versions. Imagine a situation that there are

dozens of closed versions in a project. It is hard to find a particular version. The problem can be improved by implementing filtering

feature like AdminController#projects screen.

I have made the patch. It can filtering versions using status and key-phrase of title.
patch: enable_to_filtering_versions_on_project_setting_versions_trunk_r15336.patch

Associated revisions

Revision 15759 - 2016-08-30 23:05 - Jean-Philippe Lang

Enable filtering versions on Project -> Settings -> Versions (#22608).

History

#1 - 2016-04-24 10:03 - Go MAEDA

Thanks for the patch. I think this feature is very useful especially when there are so many versions on a project.

The patch works fine except "Clear" button. Clicking "Clear" causes the page to switch to UsersController#index. Could you fix this?

#2 - 2016-04-25 03:48 - Takenori TAKAKI

- File enable_to_filtering_versions_on_project_setting_versions_trunk_r15361.patch added

Go MAEDA wrote:

The patch works fine except "Clear" button. Clicking "Clear" causes the page to switch to UsersController#index. Could you fix this?

 Thanks you for pointing out the bug.

I fixed the bug, and re-created the patch.

(Compatible the latest trunk  r15361)

#3 - 2016-04-25 10:06 - Go MAEDA

- Target version set to Candidate for next major release

Thanks for fixing the patch. It works fine.

#4 - 2016-05-01 07:42 - Go MAEDA

- Category set to Project settings

#5 - 2016-05-08 09:46 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

#6 - 2016-08-30 23:06 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Status changed from New to Closed
https://www.redmine.org/attachments/15858
- Assignee set to Jean-Philippe Lang

Feature added in r15759 with a different implementation. Used chained scopes instead of adding options to Project#shared_versions.
